"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var S=Object.create;var _=Object.defineProperty,j=Object.defineProperties,J=Object.getOwnPropertyDescriptor,k=Object.getOwnPropertyDescriptors,I=Object.getOwnPropertyNames,w=Object.getOwnPropertySymbols,U=Object.getPrototypeOf,y=Object.prototype.hasOwnProperty,A=Object.prototype.propertyIsEnumerable;var h=(t,e,o)=>e in t?_(t,e,{enumerable:!0,configurable:!0,writable:!0,value:o}):t[e]=o,g=(t,e)=>{for(var o in e||(e={}))y.call(e,o)&&h(t,o,e[o]);if(w)for(var o of w(e))A.call(e,o)&&h(t,o,e[o]);return t},v=(t,e)=>j(t,k(e));var B=(t,e)=>()=>(e||t((e={exports:{}}).exports,e),e.exports);var $=(t,e,o,n)=>{if(e&&typeof e=="object"||typeof e=="function")for(let s of I(e))!y.call(t,s)&&s!==o&&_(t,s,{get:()=>e[s],enumerable:!(n=J(e,s))||n.enumerable});return t};var z=(t,e,o)=>(o=t!=null?S(U(t)):{},$(e||!t||!t.__esModule?_(o,"default",{value:t,enumerable:!0}):o,t));var m=(t,e,o)=>new Promise((n,s)=>{var u=c=>{try{i(o.next(c))}catch(d){s(d)}},p=c=>{try{i(o.throw(c))}catch(d){s(d)}},i=c=>c.done?n(c.value):Promise.resolve(c.value).then(u,p);i((o=o.apply(t,e)).next())});var b=B((D,x)=>{x.exports=Vue});var r=z(b());function a(t,e,...o){uni.__log__?uni.__log__(t,e,...o):console[t].apply(console,[...o,e])}var T="dev",V={dev:{apiBaseUrl:"https://warehouse.szjixun.cn/oa_backend",h5Url:"http://192.168.88.35:8080/"},test:{apiBaseUrl:"https://warehouse.szjixun.cn/oa_backend",h5Url:"http://172.16.100.93:8041/#/"},prod:{apiBaseUrl:"https://oa.szjixun.cn/api",h5Url:"https://oa.szjixun.cn/#/"}},W=V[T],C=(t,e,o="onReceive")=>{if(!t){a("error","at utils/communicate/index.js:3","evalJs: The reference to the webview is not provided or is null.");return}if(typeof t.evalJs!="function"){a("error","at utils/communicate/index.js:8","evalJs: The evalJs method is not available on the provided reference.");return}try{let n=JSON.stringify(e),s=`window.${o}(${n})`;t.evalJs(s)}catch(n){a("error","at utils/communicate/index.js:18","evalJs: An error occurred while trying to stringify the parameter value or while invoking evalJs.",n)}},L=t=>t.detail.data[0],N={content:{"":{display:"flex",flex:1}}},O=(t,e)=>{let o=t.__vccOpts||t;for(let[n,s]of e)o[n]=s;return o},P={__name:"index",setup(t){let e=(0,r.ref)(null),o=uni.getSystemInfoSync(),n=s=>{switch(L(s).action){case"load-complete":{let p=uni.getSystemInfoSync();uni.getLocation({type:"gcj02",geocode:!1,isHighAccuracy:!1,success:i=>m(this,null,function*(){C(e.value,v(g({},i),{systemInfo:p}))}),fail:i=>{a("log","at pages/index/index.nvue:38",i)}})}}};return(s,u)=>((0,r.openBlock)(),(0,r.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,r.createElementVNode)("div",{class:"content"},[(0,r.createElementVNode)("u-web-view",{class:"webview","on:onPostMessage":n,style:(0,r.normalizeStyle)({height:`${(0,r.unref)(o).windowHeight}px`,width:`${(0,r.unref)(o).windowWidth}`}),ref_key:"webViewRef",ref:e,src:(0,r.unref)(W).h5Url},null,44,["src"])])]))}},l=O(P,[["styles",[N]]]);var f=plus.webview.currentWebview();if(f){let t=parseInt(f.id),e="pages/index/index",o={};try{o=JSON.parse(f.__query__)}catch(s){}l.mpType="page";let n=Vue.createPageApp(l,{$store:getApp({allowDefault:!0}).$store,__pageId:t,__pagePath:e,__pageQuery:o});n.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...l.styles||[]])),n.mount("#root")}})();
